JRE/JDK for Linux: unnecessary dependency on glibc 2.4